Visualizza: Visualizza la selezione

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewFitSelection and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Std ViewFitAll.svg Visualizza tutto Pagina precedente:
Pagina successiva: Assonometria isometrica Std ViewIsometric.svg Arrow-right.svg

Std ViewFitSelection.svg Visualizza la selezione

Nome nel codice
Std_ViewFitSelection
Posizione nel menu
Visualizza → Viste standard → Visualizza la selezione
Ambiente
Tutti
Avvio veloce
V S
Introdotto nella versione
-
Vedere anche
Visualizza tutto


Descrizione

Il comando Visualizza la selezione adatta la camera in modo che tutti gli oggetti selezionati siano visibili e si adattino all'interno della vista 3D attiva.

Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Std ViewFitSelection.svg Visualizza la selezione.
    • Selezionare l'opzione Visualizza → Viste standard → Std ViewFitSelection.svg Visualizza la selezione dal menu.
    • Selezionare l'opzione Std ViewFitSelection.svg Visualizza la selezione dal menu contestuale della vista 3D.
    • Usare la scorciatoia da tastiera: V e poi S.


Script

Vedere anche: Script di base per FreeCAD

Per cambiare la vista in 'Visualizza la selezione', è possibile usare il metodo SendMsgToActiveView dell'oggetto FreeCADGui. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.SendMsgToActiveView('ViewSelection')
Arrow-left.svg Std ViewFitAll.svg Visualizza tutto Pagina precedente:
Pagina successiva: Assonometria isometrica Std ViewIsometric.svg Arrow-right.svg